%define name meta-task
%define version 2010.1
%define release %mkrel 11

Summary: Meta task listing packages by group
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Other
Source: rpmsrate-raw
Source1: check-rpmsrate
Source2: compssUsers.pl
Source3: prefer.vendor.list
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: drakxtools-backend

%description
prefer.vendor.list is used by urpmi, rpmdrake and installer to prefer some
packages when there is a choice.

"rpmsrate" and "compsUsers.pl" are used by installer and rpmdrake to choose
packages to install.

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/%{name}
install -m644 %{SOURCE0} %{buildroot}%{_datadir}/%{name}
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_sysconfdir}/urpmi
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/urpmi

%check
ERR=`./check-rpmsrate %{buildroot}%{_datadir}/%{name}/rpmsrate-raw 2>&1`
[ -z "$ERR" ]

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/urpmi/prefer.vendor.list
%{_datadir}/%{name}


%changelog
* Wed May 26 2010 Antoine Ginies <aginies@mandriva.com> 2010.1-11mdv2010.1
+ Revision: 546170
- add VIDEO_EDITING section, prefer install E17 instead of E16
- enlightenment 0.16 is old now
- install more software present on DVD
- always install java-1.6.0-sun-plugin, add chromium-browser

  + Pascal Terjan <pterjan@mandriva.org>
    - fix a typo in comment

* Mon May 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2010.1-9mdv2010.1
+ Revision: 545779
- Install kmozillahelper on KDE

  + Christophe Fergeau <cfergeau@mandriva.com>
    - set konversation to level 5 for inclusion in Ones
    - use busybox-static on Ones since busybox doesn't work
    - move vino/vinagre to 5 for Ones
    - move aspell down to 4 since myspell is preferred
    - ipw3945 is obsoleted by iwl3945

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - switch back to konversation

  + Antoine Ginies <aginies@mandriva.com>
    - remove nsplingwrapper
    - add manslide and 2mandvd
    - add VIDEO_EDITING section

* Wed Apr 28 2010 Antoine Ginies <aginies@mandriva.com> 2010.1-8mdv2010.1
+ Revision: 540219
- update to krb5-appl-clients and krb5-appl-servers, now use lftp as the 'light' ftp client in CAT_SYSTEM
- swfdec-mozilla is heavely broken, remove it
- swfdec-mozilla is heavely broken
- update to krb5-appl-clients and krb5-appl-servers, now use lftp as the 'light' ftp client in CAT_SYSTEM

* Fri Apr 23 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-7mdv2010.1
+ Revision: 538314
- No longer install gdm-themes by default, it isn't used by new gdm

  + Olivier Blin <oblin@mandriva.com>
    - fix old typo (drakfon -> drakfont) in INSTALL section (from St?\195?\169phane T?\195?\169letch?\195?\169a)

* Fri Apr 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-6mdv2010.1
+ Revision: 535396
- do not install evolution-tracker for now, not stable enough

* Thu Apr 15 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-5mdv2010.1
+ Revision: 535104
- Replace beagle with tracker

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - Remove imwheel

  + Christophe Fergeau <cfergeau@mandriva.com>
    - switch back to busybox for Ones
      draklive can again handle busybox for backward compatibility

  + Antoine Ginies <aginies@mandriva.com>
    - jabber is now called jabber2
    - kivio doesnt exist anymore, change the weight of kplato (to avoid selection while creating DVD)

* Thu Apr 01 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-4mdv2010.1
+ Revision: 530617
- add a light volume manager for LXDE
- ensure xterm is not installed when installing LXDE
- add the usefull perl-LaTeX-Driver package
- drop obsolete gsynaptics-mcs-plugin package
- [one] squashfs-lzma is now included in the default kernel
- ensure xterm is not installed when installing LXDE

  + Antoine Ginies <aginies@mandriva.com>
    - add a light volume manager for LXDE
    - add the usefull perl-LaTeX-Driver package
    - drop obsolete gsynaptics-mcs-plugin package

  + Christophe Fergeau <cfergeau@mandriva.com>
    - [one] squashfs-lzma is now included in the default kernel

* Wed Mar 17 2010 Thierry Vignaud <tv@mandriva.org> 2010.1-3mdv2010.1
+ Revision: 523690
- make sure that pam_ccreds & nss_updatedb ends on DVD (needed by drakauth) (#57911)
- unify Office description between server & desktop install (#14522)

  + Antoine Ginies <aginies@mandriva.com>
    - add languagetool
    - add gtkcam-gimp-plugin for accessing to camera (57166)
    - cvsweb is quite old...
    - nc is now named netcat-traditionnal
    - add E17 cat, change the weight of openclipart (to be able to select and install other oo3 plugin without installing it)

* Thu Feb 25 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-2mdv2010.1
+ Revision: 511078
- wacom driver is now in x11-driver-input-wacom

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - X11R6-contrib is dead, replace it with x11-apps
    - xorg-x11-cyrillic-font and x11-font-cyrillic are the same,
      but the first is obsolete

  + Christophe Fergeau <cfergeau@mandriva.com>
    - use busybox-static for Mandriva One
      draklive tries to run "busybox" to get the list of symlinks to generate
      in the One initrd, and since the "busybox" package now contains a
      non-static busybox, this fails. Make sure we use the static one instead

* Tue Feb 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-1mdv2010.1
+ Revision: 499739
- Switch to 2010.1
- remove gnome-volume-manager, replaced by nautilus
- install gnome-color-manager by default
- rename openoffice.org-kde into openoffice.org-kde4

  + Funda Wang <fwang@mandriva.org>
    - prefer google pinyin over scim-pinyin (for package size and its intelligence)

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Install kcm_touchpad on laptop

  + Olivier Blin <oblin@mandriva.com>
    - davfs support is now provided by davfs2 package

  + Antoine Ginies <aginies@mandriva.com>
    - install nspluginwrapper only under 64bi release

* Tue Nov 03 2009 Antoine Ginies <aginies@mandriva.com> 2010.0-15mdv2010.0
+ Revision: 460406
- bump release
- add some missing pwp component
- install also fluendo-dvd

* Mon Nov 02 2009 Antoine Ginies <aginies@mandriva.com> 2010.0-14mdv2010.0
+ Revision: 460376
- bump release (for homebank, skrooge)
- install skrooge under KDE WM

* Thu Oct 29 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2010.0-13mdv2010.0
+ Revision: 460143
- add extra backgrounds package

* Thu Oct 22 2009 Olivier Blin <oblin@mandriva.com> 2010.0-12mdv2010.0
+ Revision: 458939
- install hotkeys in CAT_X only

* Thu Oct 22 2009 Olivier Blin <oblin@mandriva.com> 2010.0-11mdv2010.0
+ Revision: 458769
- install bluetooth GUI frontends in CAT_X only
- install s2u and drakstats in CAT_X only
- move x11 touchpad packages in CAT_X

* Thu Oct 22 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2010.0-10mdv2010.0
+ Revision: 458762
- complete office packages

  + Olivier Blin <oblin@mandriva.com>
    - do not install task-3ddesktop-kde on live

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2010.0-9mdv2010.0
+ Revision: 456684
- tune up Xfce environment
  o preffer xarchiver ofer squeeze
  o use new parole media player over totem

  + Funda Wang <fwang@mandriva.org>
    - bluedj is dead

  + Olivier Blin <oblin@mandriva.com>
    - install dosfstools and ntfsprogs by default (to handle portable FAT/NTFS drives)

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-8mdv2010.0
+ Revision: 454989
- kbluetooth is now replacing kdebluetooth4

* Fri Oct 02 2009 Thierry Vignaud <tv@mandriva.org> 2010.0-7mdv2010.0
+ Revision: 452607
- install xguest by default

* Mon Sep 28 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-6mdv2010.0
+ Revision: 450482
- Fix bad caps on one package (spotted by Anssi)

* Fri Sep 25 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-5mdv2010.0
+ Revision: 448971
- cleanup in packages list

* Tue Sep 22 2009 Funda Wang <fwang@mandriva.org> 2010.0-4mdv2010.0
+ Revision: 447122
- readvertise wqy-microhei

* Thu Sep 17 2009 Funda Wang <fwang@mandriva.org> 2010.0-3mdv2010.0
+ Revision: 443820
- fix recognization of wqy-microhei
- Bump release to make it affect Chinese font selection
- prefer different fonts for zh_TW considering disk space
- prefer wqy microhei for zh_CN locale

  + Thierry Vignaud <tv@mandriva.org>
    - prefer libproxy-mozjs over libproxy-webkit for libproxy-pac (#48549)

* Wed Aug 19 2009 Christophe Fergeau <cfergeau@mandriva.com> 2010.0-2mdv2010.0
+ Revision: 418052
- remove old IM applications
- Use empathy instead of pidgin
- totem-gstreamer was renamed to totem

* Mon Aug 10 2009 Anssi Hannula <anssi@mandriva.org> 2010.0-1mdv2010.0
+ Revision: 414400
- adapt for renamed kde l10n packages

  + Funda Wang <fwang@mandriva.org>
    - prefer mysqli as default stoage engine for drupal

  + Thierry Vignaud <tv@mandriva.org>
    - adjust comment

  + Frederic Crozat <fcrozat@mandriva.com>
    - elisa has been renamed moovida

  + Christophe Fergeau <cfergeau@mandriva.com>
    - gsynaptics is obsolete, touchpad configuration is in gnome-control-center now
    - Use new "touchpad" TYPE to install synaptics related stuff

* Thu Apr 23 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-15mdv2009.1
+ Revision: 368866
- add Google apps for PWP

  + Thierry Vignaud <tv@mandriva.org>
    - do not try to install no more existing bluez-utils

* Fri Apr 10 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-14mdv2009.1
+ Revision: 365914
- Fix bug #48023 (Teuf)
- Replace Konversation with Quassel

  + Funda Wang <fwang@mandriva.org>
    - lower uim, as we are promo scim currently
    - drop eva, which is kde3 based

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-13mdv2009.1
+ Revision: 363128
- Replace rfbdrake by vino/vinagre or krfb

* Mon Mar 30 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-12mdv2009.1
+ Revision: 362289
- Bump cheese to level 5, undo fix for inkscape, it was already correct for One

* Mon Mar 30 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-11mdv2009.1
+ Revision: 362287
- Add cheese and inkscape in default gnome install

* Wed Mar 25 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-10mdv2009.1
+ Revision: 361110
- Add description for LXDE in installer (tvignaud)
- install homebank instead of kmymoney for KDE
- install amarok for KDE
- install dragonplayer instead of totem-gstreamer for KDE
- Add description for LXDE in installer
- install homebank instead of kmymoney for KDE
- install amarok for KDE
- install dragonplayer instead of totem-gstreamer for KDE

  + Thierry Vignaud <tv@mandriva.org>
    - add a tooltip for LXDE (#49114)

* Tue Mar 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-9mdv2009.1
+ Revision: 360818
- Fix flashpackage renaming in rpmsrate

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 2009.1-8mdv2009.1
+ Revision: 360672
- fix expanding thunderbird i18n packages (#47948)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - xfce
      o sion has been renamed to gigolo
      o add thunar-shares-plugin

* Fri Mar 06 2009 Olivier Blin <oblin@mandriva.com> 2009.1-7mdv2009.1
+ Revision: 349838
- fix openoffice.org plugins for x86_64

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 2009.1-6mdv2009.1
+ Revision: 349748
- prefer mandriva-lxde-config-Free (#48046)

* Thu Mar 05 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-5mdv2009.1
+ Revision: 349436
- add openoffice.org plugins

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2009.1-4mdv2009.1
+ Revision: 339018
- update xfce categories
  o add sion, xfswitch-plugin and xfce4-screenshooter
  o remove xfce4-mixer, already pulled by task-xfce-minimal
  o add few claws-mail plugins
  o pull specific configs for META_CLASS

* Tue Feb 03 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-3mdv2009.1
+ Revision: 336804
- fix typo
- drop icewm

* Mon Feb 02 2009 Anne Nicolas <anne.nicolas@mandriva.com> 2009.1-2mdv2009.1
+ Revision: 336503
- move from icewm to lxde in light environment

* Tue Dec 23 2008 Adam Williamson <awilliamson@mandriva.org> 2009.1-1mdv2009.1
+ Revision: 318127
- b43-fwcutter, not bcm43xx-fwcutter (which is useless now)
- qsynaptics not ksynaptics (k is KDE 3 stuff that will not be ported to KDE 4)
- x11-driver-input-synaptics, not synaptics

  + Funda Wang <fwang@mandriva.org>
    - lower the importance of some bridge IMEs and those located in contrib
    - drop skim (kde3 based)

* Mon Oct 06 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 291150
- Fix typo in fluendo package

* Sat Oct 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 291121
- Fix ISV list

* Sat Oct 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 291117
- Change google apps installed packages

* Fri Oct 03 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.22mdv2009.0
+ Revision: 290984
- fix inskcape selection (I meant light, not live)

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.21mdv2009.0
+ Revision: 290963
- do not install inkscape on light desktops

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.20mdv2009.0
+ Revision: 290855
- fix selecting GNOME as netbook desktop

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.19mdv2009.0
+ Revision: 290785
- install thunderbird instead of evolution on light desktops
- do not install epiphany on light desktops (firefox is already selected)
- do not install efax on light desktops
- do not install sound-juicer on light desktops
- do not install kino on light desktops
- do not select acessibility category for netbook/nettop/low_resources systems
- do not select books category for netbook/nettop/low_resources systems
- do not select publishing category for netbook/nettop/low_resources systems
- select GNOME desktop for netbooks/nettops
- use low_resources detection from detect_devices module

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.18mdv2009.0
+ Revision: 290344
- do not install apmd on laptops (but keep it in live systems), it will
  be installed/enabled by the installer/harddrake if /proc/apm exists
  (since apm is now a kernel builtin)

* Sat Sep 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-0.17mdv2009.0
+ Revision: 288939
- fonts-ttf-gurmukhi replaced by fonts-ttf-lohit
- fonts-ttf-gurmukhi is replaced by fonts-ttf-lohit

  + Olivier Blin <oblin@mandriva.com>
    - nspluginwrapper should be on x86 too

* Mon Sep 15 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.16mdv2009.0
+ Revision: 285078
- remove extra spacing between 'Server' and 'Graphical Environment' when
  not displaying 'Development'
- add spacing between elements of "package selection" step

  + Olivier Blin <oblin@mandriva.com>
    - remove gwenview, it's already required by task-kde4-minimal and kdegraphics4

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-0.15mdv2009.0
+ Revision: 277343
- (asteriskize_if_needed) rename as asteriskize() to better match it behaviour
- add asterisks before titles
- refresh "Package Group Selection" step: reorder layout

  + Olivier Blin <oblin@mandriva.com>
    - install iwlwifi-agn-ucode for iwlagn devices (Intel WiFi Link 4965 and 5xxx)

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-0.14mdv2009.0
+ Revision: 276481
- install bluez-gnome for bluetooth for GNOME

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-0.13mdv2009.0
+ Revision: 276344
- Fix (old) git becoming gnu-git
- Remove obsolete packages from list
- Remove obsolete hardware support from list
- Remove duplicated lines in list
- gnome-power-manager is now pulled by task-gnome-minimal
- Add more default choices
- Fix double lines in rpmsrate-raw
- Add more default choices
- gnome-power-manager deps is moved to task-gnome-minimal (Mdv bug #43116)
- Remove obsolete hardware support
- Remove obsolete packages

* Wed Aug 20 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-0.12mdv2009.0
+ Revision: 274211
- Add missing OR for gnome openoffice package
- fix package name for totem mozilla plugin
- Add missing OR for gnome openoffice package
- fix package name for totem mozilla plugin
- Drop desktop-printing

* Mon Jul 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-0.11mdv2009.0
+ Revision: 251371
- install firefox3 package by default

* Sat Jul 19 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.10mdv2009.0
+ Revision: 238711
- kbluetooth4 is now named kdebluetooth4

* Fri Jul 18 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.9mdv2009.0
+ Revision: 238165
- fix selection of kde4-l10n packages
- ppracer is now named extremetuxracer
- hcfmodem is actually hcfpcimodem
- do not try to select openoffice help packages, they can't be
  automatically detected according to locale because of missing
  requires (#37244), and are suggested by openoffice l10n packages
  anyway
- use mozilla-firefox-de instead of mozilla-firefox-es

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.8mdv2009.0
+ Revision: 233416
- install draklive-install for all live systems
- install squashfs-lzma-kernel for live systems

* Tue Jul 08 2008 Olivier Blin <oblin@mandriva.com> 2009.0-0.7mdv2009.0
+ Revision: 232832
- use kbluetooth4 for KDE4
- do not install kdebluetooth (no KDE4 alternative is ready yet)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add mousetweaks for GNOME accessibility

  + Funda Wang <fwang@mandriva.org>
    - Drop uim-qt as it is qt3 based
    - switch to qt4 version of immodule
    - install fonts-ttf-malayalam in locales-ml

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - remove noteedit

* Wed Jun 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-0.6mdv2009.0
+ Revision: 229023
- Don't install kdeprintfax by default
- fix package names for KDE4

  + Olivier Blin <oblin@mandriva.com>
    - adapt to kppp-provider package name

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - modify kde4 apps names

* Tue Jun 24 2008 Anne Nicolas <anne.nicolas@mandriva.com> 2009.0-0.5mdv2009.0
+ Revision: 228658
- bump release
- removing kdenlive
- remove kover
- update qt doc

  + Olivier Blin <oblin@mandriva.com>
    - use kppp instead of kdenetwork-kppp (kppp-provider will have to be split out)
    - use ksnapshot instead of kdegraphics-ksnapshot

  + Thierry Vignaud <tv@mandriva.org>
    - install scim-thai for thai installations

* Fri Jun 20 2008 Anne Nicolas <anne.nicolas@mandriva.com> 2009.0-0.4mdv2009.0
+ Revision: 227380
- fix build require for check script
- clean xchat entries
- bump release
- restore some violent cleaning
- increase release
- fix wrong indentation (Thanks soig)
- Switch to KDE4 for default KDE environment

  + Funda Wang <fwang@mandriva.org>
    - prefer lxsession-lite for lxde session manager

  + Thierry Vignaud <tv@mandriva.org>
    - kernel-laptop is no more

  + Olivier Blin <oblin@mandriva.com>
    - remove redundant ethtool (required by initscripts)
    - add check-rpmsrate helper and use it to forbid build of broken rpmsrate
    - remove duplicate or
    - simplify flags for gthumb (it won't handle PHOTO for XFCE, just CAT_GRAPHICS)
    - revert XFCE case for dia, (!CAT_KDE && !CAT_XFCE) || CAT_GNOME || CAT_ICEWM is too complicated for mkcd
    - remove duplicate ristretto
    - remove duplicate entry for squeeze
    - use xfburn instead of brasero in XFCE (tpg)
    - remove duplicate epdfview and xfbib

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - move xfce4-mixer to SOUND category
    - raise xchat priority to 5 for Xfce
    - fix dupe of sound-juicer
    - add gtk-recordmydesktop and gpa for Xfce
    - add sound-juicer and soundconverter for Xfce
    - use qalculate-gtk instead of qalculate for xfce
    - fix packages selection since it was broken by Xfce support (thanks goes to Anssi)
    - add lot of Xfce apps
    - fix doube "||"
    - add support for Xfce desktop environment

* Wed Apr 02 2008 Anne Nicolas <anne.nicolas@mandriva.com> 2008.1-21mdv2008.1
+ Revision: 191600
- Add coherence and elisa

* Wed Mar 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-20mdv2008.1
+ Revision: 190225
-Increase level for eog, ensure it is present in LiveCD (Mdv bug #36520)

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 2008.1-19mdv2008.1
+ Revision: 189260
- install imwheel in live

* Sat Mar 15 2008 Olivier Blin <oblin@mandriva.com> 2008.1-18mdv2008.1
+ Revision: 188070
- simplify "complicated" FlashPlayer-plugin flags (for mkcd/clean-rpmsrate)

* Fri Mar 14 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-17mdv2008.1
+ Revision: 187965
- Install swfdec-mozilla on Mandriva Free product

  + Olivier Blin <oblin@mandriva.com>
    - "simplify" java-1.7.0-icedtea-plugin rules (from pixel)

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - manage Flash split for One and Powerpack
    - manage java sun and icedtea plugin

* Thu Mar 13 2008 Olivier Blin <oblin@mandriva.com> 2008.1-16mdv2008.1
+ Revision: 187545
- use task-3ddesktop-kde and task-3ddesktop-gtk
- fix rules for rfbdrake/vino/krfb

* Wed Mar 12 2008 Olivier Blin <oblin@mandriva.com> 2008.1-15mdv2008.1
+ Revision: 187243
- fix compiz-decorator-kde (and kdelibs) being installed in GNOME live

* Wed Mar 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-14mdv2008.1
+ Revision: 187137
- Remove duplicate for krfb and tree

* Wed Mar 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-13mdv2008.1
+ Revision: 187078
- install krfb/vino-vinagre for One instead of rfbdrake
- Always install ekiga, not only for GNOME

* Thu Mar 06 2008 Olivier Blin <oblin@mandriva.com> 2008.1-12mdv2008.1
+ Revision: 180932
- install compiz-decorator-gtk if X is selected only
- bump nfs-utils-clients priority (so that it gets in One automaticall)
- install compiz-decorator-gtk for KDE live as well (move this rule from One auto_inst in rpmsrate)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Choose pulseaudio for esound compatibility by default
    - Install Luxi Type1 fonts by default (Mdv bug #26818)
    - No longer install blogrovr, scribefire and foxmarks
    - Handle ia_ora-gnome directly in gtk+2.0 package

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-11mdv2008.1
+ Revision: 176024
- changes in GNOME selection : eog is back (Mdv bug #36520), transmission is added (Mdv bug #38104), brasero as burner app
- homebank replaces gnucash by default (Mdv bug #37293)
- remove some old bad packages in GNOME devel
- install totem-gstreamer (and plugins) under KDE too now

  + Pixel <pixel@mandriva.com>
    - adapt to cooker: jfsprogs is now jfsutils
    - simplify

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - kmymoney as default in KDE environment
    - Filezilla as default ftp client in all environment

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-10mdv2008.1
+ Revision: 171894
- release
- move linuxwacom in X11 section
- install linuxwacom if needed

* Thu Feb 07 2008 Olivier Blin <oblin@mandriva.com> 2008.1-9mdv2008.1
+ Revision: 163528
- install iwlwifi-{3945,4965}-ucode when appropriate

  + Thierry Vignaud <tv@mandriva.org>
    - install megactl if a device uses the "megaraid" driver

* Fri Feb 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-8mdv2008.1
+ Revision: 161149
- Install ntfs-3g by default

* Wed Jan 30 2008 Pixel <pixel@mandriva.com> 2008.1-7mdv2008.1
+ Revision: 160208
- install "tree" by default (required by ademar) (#37322)

* Tue Jan 29 2008 Pixel <pixel@mandriva.com> 2008.1-6mdv2008.1
+ Revision: 159674
- install mandriva-doc-* by default (#36518)

* Mon Jan 28 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-5mdv2008.1
+ Revision: 159292
- install rng-tools if hardware RNG is present for entropy gathering
- install b43-fwcutter for b43 & b43legacy driven cards

* Thu Jan 24 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-4mdv2008.1
+ Revision: 157580
- revert non aproved commit r149684 (was: raise ratio of joe, remove HDF, lower
  mailman ratio)
- install openoffice.org64 on x86_64 per anne's request (we should
  maybe think about killing 64 prefix in name then...)

  + Olivier Blin <oblin@mandriva.com>
    - add gnome-phone-manager when a bluetooth adapter is detected (#24341)
    - install gsynaptics for GNOME desktop when needed

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - raise ratio of joe.
    - remove HDF
    - lower mailman ratio

* Wed Jan 09 2008 Olivier Blin <oblin@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 147208
- do not install echomixer/rmedigicontrol/envy24control on live
- install openoffice.org writer/calc/impress for level 5, and binfilter/galleries/openclipart for level 4
- install openoffice.org-style-crystal for KDE and openoffice.org-style-tango for GNOME
- restore BuildRoot

* Tue Dec 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 132039
- Install task-pulseaudio by default

  + Olivier Blin <oblin@mandriva.com>
    - remove prebuilt DKMS packages for SMP kernel flavours (which is no more)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Thierry Vignaud <tv@mandriva.org> 2008.1-1mdv2008.1
+ Revision: 110753
- release
- install irqbalance on SMP systems (better responsiveness)

  + Pixel <pixel@mandriva.com>
    - we can't detect low cpu on non-ix86, so don't do it

  + Funda Wang <fwang@mandriva.org>
    - prefer scim-bridge over scim
    - scim is not default IME in 2008.0, so scim-qtimm does not need to
      be installed by default
    - scim-tables has been splitted

  + Olivier Blin <oblin@mandriva.com>
    - remove useless CAT_CDCOM (which was incorrectly set for "Internet station" group only)
    - scim-bridge-qt3 has been splitted out of scim-bridge-qt, which does not exist anymore
    - add pptp-linux on live systems

* Fri Oct 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-19mdv2008.0
+ Revision: 95584
- Install totem-mozilla-gstreamer for Powerpack
- Install totem-gstreamer for Powerpack for GNOME too

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 2008.0-18mdv2008.0
+ Revision: 95294
- add FlashPlayer in all non-download editions (Powerpack and One)
- add drakx-installer-binaries-probe in live systems

* Wed Oct 03 2007 Anne Nicolas <anne.nicolas@mandriva.com> 2008.0-17mdv2008.0
+ Revision: 95227
- increase weight for cdcom to be installed
  clean default apps for powerpack

  + Pixel <pixel@mandriva.com>
    - fix fwang's typo

  + Funda Wang <fwang@mandriva.org>
    - add bluedj for Chinese users, although it sits fine in contrib

* Mon Oct 01 2007 Olivier Blin <oblin@mandriva.com> 2008.0-16mdv2008.0
+ Revision: 94352
- install virtualbox-guest-additions in virtualbox guest

* Sun Sep 30 2007 Anne Nicolas <anne.nicolas@mandriva.com> 2008.0-15mdv2008.0
+ Revision: 94065
- new release

  + Antoine Ginies <aginies@mandriva.com>
    - unselect DEVELOPMENT for powerpack
    - adjust pwp default installation
    - add restricted applications (pwp)

* Mon Sep 24 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-14mdv2008.0
+ Revision: 92596
- put voikko-fi at level 4
- mysql is now lowercase packaged
- put autoconf2.1 & automake1.4 at level 4

  + Olivier Blin <oblin@mandriva.com>
    - inline task-3ddesktop to install correct window decorator according to the desktop (specific to live systems)
    - install cdrkit-icedax instead of cdrecord-cdda2wav
    - emacs-X11 is now emacs
    - fix rosegarden installation
    - use mandriva-theme-Free for download META_CLASS
    - add autoconf and automake at level 5 in CAT_DEVELOPMENT
    - autoconf2.5 has been renamed as autoconf
    - do not list proftpd-anonymous, it has been dropped
    - do not install jahshaka
    - fix typo in jahshaka
    - remove task-beryl, it's dead
    - use pidgin instead of gaim
    - do not list 915resolution, it's deprecated
    - do not list setarch and schedutils, they are merged in util-linux-ng
    - replace Discovery occurences with One for theme/release packages
    - do not list mandriva-doc-Discovery packages
    - do not install secondlife on One
    - install totem-gstreamer on PowerPack only, not on One (desktop META_CLASS)
    - add comgt on live systems

  + Frederic Crozat <fcrozat@mandriva.com>
    - Replace glade2 with glade3

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - remove kate from KDE default install
    - revert no needed BURNER
    - add burn tools in desktop installs

* Wed Sep 19 2007 Anne Nicolas <anne.nicolas@mandriva.com> 2008.0-13mdv2008.0
+ Revision: 91114
- SVN increase release
- add hcl
- do not install wengo
- fix k3b
- fix non-free jave, google-apps, KDE video player and project management tool

  + Pixel <pixel@mandriva.com>
    - for KDE, use kaffeine for mandriva download version, otherwise use totem-gstreamer

  + Thierry Vignaud <tv@mandriva.org>
    - install some sound packages only if X is selected

* Mon Sep 17 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-12mdv2008.0
+ Revision: 89364
- install sound packages whether or not Multimedia was checked in
- remove kbd as pixel consider we do not support upgrading with both
  2007.0 & 2007.1 media listed in urpmi configuration

* Sat Sep 15 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-11mdv2008.0
+ Revision: 87170
- handle conflict of conlicts between kbd & console-tools on upgrade when both
  2007.1 & 2008 media are here

  + Frederic Crozat <fcrozat@mandriva.com>
    - Don't try to install gcombust anymore

* Tue Sep 11 2007 Pixel <pixel@mandriva.com> 2008.0-10mdv2008.0
+ Revision: 84449
- prefer sysklogd over syslog-ng for syslog-daemon (safer for 2008.0)
- do not install texinfo when "Office Workstation" is selected (the default),
  since it's not a standard workstation tool (#33246)
- don't install task-printing (which includes cups) by default

* Tue Sep 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2008.0-9mdv2008.0
+ Revision: 79286
- Bump filezilla level to 4 for GNOME install
- Bump filezilla to level 4

  + Thierry Vignaud <tv@mandriva.org>
    - fix installing gimp-help-2 now that it has been splitted

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 2008.0-8mdv2008.0
+ Revision: 76681
- BIGMEM kernel is kernel-server
- no more special SMP kernel
- update kernels to have on CDs (ie INSTALL + NOCOPY)
- install gnome-games when GNOME and GAMES selected (#32868)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add gnome subpackage for firefox when installing GNOME

* Fri Aug 24 2007 Pixel <pixel@mandriva.com> 2008.0-7mdv2008.0
+ Revision: 70816
- remove duplicated inkscape

  + Frederic Crozat <fcrozat@mandriva.com>
    - remove bug-buddy from install list, pulled by task-gnome-minimal
    - replace gftp by filezilla
    - remove choice for gstreamer0.10-audiosink/src, fixing in gnome-media

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 2008.0-6mdv2008.0
+ Revision: 67797
- add a fixme note about java packages
- use '_' characters in module names
- do not match on eagle-usb module anymore (not in kernel)

  + Pixel <pixel@mandriva.com>
    - don't prefer kdegraphics-common anymore since #32494 is fixed
    - choose lynx for webclient instead of wget
      (i wonder if wget works as a "webclient", would need some tests)

* Sun Aug 12 2007 Pixel <pixel@mandriva.com> 2008.0-5mdv2008.0
+ Revision: 62271
- prefer the following packages:
  wget openssh-askpass apache-mpm-prefork portmap
  docbook-utils kdegraphics-common gstreamer0.10-plugins-good
  festvox-kallpc16k gnome-speech-driver-espeak

* Sat Aug 11 2007 Pixel <pixel@mandriva.com> 2008.0-4mdv2008.0
+ Revision: 62081
- prefer.vendor.list
  o prefer notification-daemon over notification-daemon-xfce
  o add mandriva-theme-Free-screensaver and libstdc++-devel
- fix typo breaking rpmsrate

* Sat Aug 11 2007 Pixel <pixel@mandriva.com> 2008.0-3mdv2008.0
+ Revision: 61979
- add /etc/urpmi/prefer.vendor.list (to be used by urpmi, rpmdrake, installer)
- ensure mandriva-gfxboot-theme is on CDs

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - fix kppp
    - update rpmsrate on KDE part (Helio, Boiko)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Clean GNOME dependencies

* Mon Jul 30 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-2mdv2008.0
+ Revision: 56524
- bump release
- install acr38u if needed (#31915)

* Tue Jun 26 2007 Thierry Vignaud <tv@mandriva.org> 2008.0-1mdv2008.0
+ Revision: 44618
- bump release
- install alsa-plugins at the same priority as alsa-utils
- do not install lilo-doc by default (#29873)

  + Olivier Blin <oblin@mandriva.com>
    - install RealPlayer-rpnp
    - gnupg is required by urpmi
    - cpio is required by rpm (and so by basesystem)
    - udev is required by initscripts (and so by basesystem)
    - simplify (xinit and xrdb are required by task-x11)
    - explicitely list mandriva-release packages
    - explicitely list screensaver packages
    - remove unused discovery-icons-theme

  + Pixel <pixel@mandriva.com>
    - ensure wget is on CDs
    - slocate is no more, hail mlocate (thanks to Frederik Himpe)

  + Anssi Hannula <anssi@mandriva.org>
    - imagemagick is now lowercase


* Wed Apr 04 2007 Olivier Blin <oblin@mandriva.com> 2007.1-3mdv2007.1
+ Revision: 150540
- the installer won't resolve virtual provides, explicitely use libqca1-tls and lib64qca1-tls
- require unionfs-utils instead of unionfs-tools
- require the virtual psi-qca-tls provide instead of libqca1-tls, so that lib64qca1-tls is selected for x86_64
- bump gconf-editor level (so that it is included in One)

  + Frederic Crozat <fcrozat@mandriva.com>
    - orca and gok are only installed for GNOME now

* Tue Apr 03 2007 Olivier Blin <oblin@mandriva.com> 2007.1-2mdv2007.1
+ Revision: 150381
- add konversation back (dbarth)
- add scilab
- do not install klamav by default

* Tue Apr 03 2007 Olivier Blin <oblin@mandriva.com> 2007.1-1mdv2007.1
+ Revision: 150359
- install libqca1-tls together with kopete (#29860)
- do not install dasher on live
- add drakfon on CDs

* Tue Apr 03 2007 Laurent Montel <lmontel@mandriva.com> 2007.1-0.16mdv2007.1
+ Revision: 150280
- Fix kde default apps
- don't install twice fax program
- Not necessary to install koffice all the time
- Don't install 3 woip apps
- Byebye konversation it's into contrib

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.15mdv2007.1
+ Revision: 149862
- move secondlife in games category and install it for desktop/powerpack classes only

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.14mdv2007.1
+ Revision: 149671
- include task-beryl on live
- include secondlife in games category
- raise lisa priority to include it on live (#25471)
- lower priority of contrib packages
- install mplayerplugin if www and video are selected

* Wed Mar 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007.1-0.13mdv2007.1
+ Revision: 149206
- do not install howto-html because they wrongly requires desktop-common-data

  + Olivier Blin <oblin@mandriva.com>
    - remove unused gstreamer-alsa

* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.12mdv2007.1
+ Revision: 148813
- do not install scanning/hplip packages when printer is selected (#29693)
- bump kdebase-nsplugins and nspluginwrapper priority so that they get included in One

  + Pixel <pixel@mandriva.com>
    - install xscane-gimp when installing xsane and gimp (#29831)

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-0.11mdv2007.1
+ Revision: 148548
- install serpentine instead of cdrdao-gcdmaster

* Thu Mar 22 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.10mdv2007.1
+ Revision: 148194
- fix live restrictions

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do install again kdebase-nsplugins on 32bits

* Thu Mar 22 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.9mdv2007.1
+ Revision: 148116
- bump level for evince, file-roller, gcalctool, rhythmbox, sound-juicer, gstreamer0.10-esound, gedit (so that they are included in One)
- bump f-spot and inskcape level
- do not install words on LIVE
- do not install nut-server on live
- do not install kdenlive on live systems
- raise hds tools rate back (and do not select them on live systems)
- remove priority of hdspconf/hdspmixer (so that they are not included in One)
- remove openoffice.org64 stuff
- do not install kwifimanager
- add ipw3945 packages
- add rt61/rt73 firmware packages
- remove duplicate dosfstools in LIVE

  + David Barth <dbarth@mandriva.com>
    - cleanup + force some Spring features

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not install nspluginwrapper on ia32 (#29808)

  + Pixel <pixel@mandriva.com>
    - add ktorrent (KDE) and bittorrent-gui (GNOME) (requested by dbarth)

  + Frederic Crozat <fcrozat@mandriva.com>
    - lower memprof priority
    - install gstreamer0.10-esound for GNOME when choosing audio

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.8mdv2007.1
+ Revision: 145154
- add LIVE flag in rpmsrate and fill it with live requirements
- move dosfstools from CAT_FILE_TOOLS to INSTALL
- remove grub from rpmsrate, the kernel requires bootloader and grub is a preferred package in installer
- remove acpid from level 2, it is already in INSTALL section
- remove quota/ntp from seldomly used level 3 (they are in INSTALL anyway)

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-0.7mdv2007.1
+ Revision: 144802
- install beagle-gui for GNOME, not only beagle
- install gnucash-hbci only for German locales
- install beagle-evolution when installing evolution

  + Olivier Blin <oblin@mandriva.com>
    - install  wpa_supplicant when a wireless device is detected
    - lower rgrep priority (it's in contrib,Frederik Himpe)
    - lower ppdfilt priority
    - split ppdfilt from task-printing-scanning (#29374)
    - use task-printing-scanning

  + Pixel <pixel@mandriva.com>
    - rpmtools is not needed by urpmi anymore
      (and rpmtools is requiring heavy stuff like perl (compared to perl-base))

  + Thierry Vignaud <tvignaud@mandriva.com>
    - install a couple more firmware

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-0.6mdv2007.1
+ Revision: 134649
- Add beagle by default when installing GNOME

* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2007.1-0.5mdv2007.1
+ Revision: 134629
- Update GNOME package list

* Tue Mar 06 2007 Pixel <pixel@mandriva.com> 2007.1-0.4mdv2007.1
+ Revision: 133852
- have openoffice.org-gnome appear only once (semantic unchanged)

* Tue Mar 06 2007 Pixel <pixel@mandriva.com> 2007.1-0.3mdv2007.1
+ Revision: 133638
- only install xterm when not kde and not gnome
- document why libia_ora-gnome is there

  + Olivier Blin <oblin@mandriva.com>
    - lower bootsplash-themes priority

  + Thierry Vignaud <tvignaud@mandriva.com>
    - install openoffice.org-gnome with a using scim locale since openoffice
      doesn't work with scim (#26655)

* Wed Feb 21 2007 Olivier Blin <oblin@mandriva.com> 2007.1-0.2mdv2007.1
+ Revision: 123824
- do not install cpufreqd anymore, gnome-power-manager handles the power management policy
- install power management tools on both laptops and desktops
- the speedtouch package does not exist anymore
- support new eagle driver name (ueagle-atm)
- eagle firmwares are now in ueagle-firmware
- speedtouch-firmware obsoletes speedtouch_mgmt
- lower gnucash level

  + Pixel <pixel@mandriva.com>
    - unused stuff

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bash1 is dead

* Tue Jan 30 2007 Pixel <pixel@mandriva.com> 2007.1-0.1mdv2007.1
+ Revision: 115401
- small spec fixes
- small spec fixes
- create package from soft/drakx/trunk/perl-install/install/share/rpmsrate & compssUsers.pl
- meta-task seems to be a good name (at least better than rpmsrate)
- Create rpmsrate

